## 如何使用

### 安装

```
pnpm install fe-git-commit-cli -D
```

### 配置
在工程 package.json 中追加下述内容：

```json
"scripts": {
  "verify-commit-message": "fe-git-verify-commit-message",
  "commit": "fe-git-commit"
},
"gitHooks": {
  "commit-msg": "npm run verify-commit-message",
  "pre-commit": "lint-staged"
},
"config": {
  "commitizen": {
    "path": "./node_modules/cz-conventional-changelog"
  }
}
```

采用 `npm run commit` 或 `yarn commit` 代替 `git commit` 提交代码




**注意：** 由于 windows 和 mac 下，支持执行方式不同，所有命令统一提到 scripts 中。不推荐下述写法：
```json
"gitHooks": {
  "commit-msg": "./node_modules/.bin/fe-git-verify-commit-message"
}
```

### 注意事项

1. 如果使用pnpm安装时，必须使用 `pnpm i --shamefully-hoist` 安装相应的工程项目，已保证 `yorkie依赖放到node_modules根目录中`

2. 如果使用 npm 安装时，插件中的 package.json 文件需要配置 peerDependencies。
```json
"peerDependencies": {
  "yorkie": "2.0.0"
}
```

2. 对于所有 merge，会保留 merge 信息，`commit-msg` 直接放行
Please use the one-time password (OTP) from your authenticator application
Enter one-time password from your authenticator app: 567890

2. 